apiVersion: kyverno.io/v1
kind: Policy
metadata:
  name: allow-host-namespaces
  annotations:
    policies.kyverno.io/category: Pod Security Standards
    policies.kyverno.io/severity: medium
    policies.kyverno.io/subject: Pod
    policies.kyverno.io/description: >-
      Host namespaces (Process ID namespace, Inter-Process Communication namespace, and
      network namespace) allow access to shared information and can be used to elevate
      privileges. Pods should  allowed access to host namespaces.      
spec:
  validationFailureAction: audit
  background: true
  rules:
    - name: host-namespaces
      match:
        resources:
          kinds:
            - Pod
          selector:
            matchLabels:
              # applicable for experiments which usage container runtime apis
              app.kubernetes.io/runtime-api-usage: "true" 
      validate:
        message: >-
          The spec.hostNetwork should be false, spec.hostIPC should be false, and spec.hostPID should be true.          
        pattern:
          spec:
            =(hostPID): "true"
            =(hostIPC): "false"
            =(hostNetwork): "false"
            